Bug 243260 - setarch dont hanlde alpha arch
Summary: setarch dont hanlde alpha arch
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: setarch   
(Show other bugs)
Version: rawhide
Hardware: alpha
OS: Linux
low
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-08 10:17 UTC by Balint Cristian
Modified: 2013-07-02 23:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 14:34:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add alpha (334 bytes, patch)
2007-06-08 10:17 UTC, Balint Cristian
no flags Details | Diff

Description Balint Cristian 2007-06-08 10:17:43 UTC
Description of problem:
setarch dont hanlde alpha arch

Version-Release number of selected component (if applicable):
-devel

How reproducible:
<cbalint> jnovy, setarch alpha /usr/bin/mock -r 
koji/dist-f8-build-6-10 --debug init
<cbalint> setarch: alpha: Unrecognized architecture

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Balint Cristian 2007-06-08 10:17:43 UTC
Created attachment 156561 [details]
patch to add alpha

Comment 2 Jindrich Novy 2007-06-11 11:42:12 UTC
Why do you check twice for __alpha__ definition?

#if defined(__alpha__) || defined(__alpha__)

Comment 3 Balint Cristian 2007-06-11 11:56:21 UTC
yay crazy me :)
Just remove duplicate.
---------------------------------

BTW,
I will gather a list of arch variation (multilib), but i am not sure now.
Indeed plain alpha is enough fro the very now.

In future i settle with the alpha guys what official stuff will 
need like:

alpha
alphaev6
alphaev67
alphaev7

But now i am unsure which is wich, certanly all are pure 64bit but a code from 
ev7 cannot run on ev6 but vice versa yes, so this sounds as multilib stuff.



Comment 4 Jindrich Novy 2007-06-11 14:34:29 UTC
It is now committed upstream, thanks!


Note You need to log in before you can comment on or make changes to this bug.